Subject: [bug#75249] [PATCH 01/71] gnu: Add asdf-build-system/clasp.

From: Guillaume Le Vaillant <[email-masked]>
Date: Fri, 14 Feb 2025 18:03:28 +0000

jgart via Guix-patches via <[email-masked]> skribis:

> Hi,
>
> This patch series adds a build system for clasp:
>
> https://clasp-developers.github.io/
>
> Everything build successfully and I've tested clasp-lorem-ipsum at the
> clasp REPL.
>
> Currently, the asdf-build-system assumes that the package-name is also
> the name of the executable.
>
> If I pass it the name clasp-cl it fails to build clasp packages.
>
> I've currently resolved the above issue by renaming clasp-cl to clasp
> and clasp to potassco-clasp.
>
> This approach is simpler than having to refactor the asdf-build-system.
>
> Will this rename be an issue as per our deprecation policy?
>
> I am proposing to prefer the simpler solution here of just renaming the
> clasp package to potassco-clasp.
>
> What do people think?

Hi.

Maybe patches 2, 3 and 4 for the renaming could be merged into just one
patch.

But more importantly, the potassco clasp has a binary and not just
a library and some users probably have it installed in their profiles,
so you should add a news entry to indicate to these users that they have
to update their package lists, manifests or home configurations.

I have not had the time to tests the whole patch series yet, but from
a quick visual review, it looks ok.